<?xml version="1.0" encoding="UTF-8"?>

<!--
	* Licensed Materials - Property of IBM
	* 5724-C11, 5724-C13, 5724-D17
	* (C) Copyright IBM Corporation 1997, 2003. All Rights Reserved.
	* US Government Users Restricted Rights- Use, duplication or disclosure
	* restricted by GSA ADP Schedule Contract with IBM Corp.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" indent="yes"/>
	<xsl:strip-space elements="*"/>

	<xsl:variable name="version">0.1.0</xsl:variable>

	<xsl:variable name="comment">
		<xsl:text>
			This file was generated to preserve GUIDiagrams elements
			from CWPT to BPEL conversion. This file is used for GUIDiagram
			substitution when the BPEL file is converted back to the original
			CWPT template.
		</xsl:text>
	</xsl:variable>

	<xsl:template match="/">
		<xsl:element name="ProcessDesigner-GUIDiagrams-Only">
			<xsl:attribute name="Version">
				<xsl:value-of select="$version"/>
			</xsl:attribute>
			<xsl:attribute name="Generator">CWPD-BPEL Converter</xsl:attribute>

			<xsl:comment>
				<xsl:value-of select="normalize-space($comment)"/>
			</xsl:comment>

			<xsl:apply-templates select="CollabTemplate"/>
		</xsl:element>
	</xsl:template>

	<xsl:template match="CollabTemplate">
		<!--copy the current element not recursively-->
		<xsl:element name="{name()}">
			<xsl:for-each select="@*">
				<xsl:attribute name="{name()}">
					<xsl:value-of select="."/>
				</xsl:attribute>
			</xsl:for-each>

			<xsl:element name="TemplateDefinition">
				<xsl:copy-of select="TemplateDefinition/BusObjRefs" />
			</xsl:element>

			<!--process scenarios element-->
			<xsl:apply-templates select="Scenarios"/>
		</xsl:element>
	</xsl:template>

	<xsl:template match="Scenarios">
		<!--copy the current element not recursively-->
		<xsl:element name="{name()}">
			<xsl:for-each select="@*">
				<xsl:attribute name="{name()}">
					<xsl:value-of select="."/>
				</xsl:attribute>
			</xsl:for-each>

			<!--go through each scenario-->
			<xsl:apply-templates select="Scenario"/>
		</xsl:element>
	</xsl:template>

	<xsl:template match="Scenario">
		<!--copy the current element not recursively-->
		<xsl:element name="{name()}">
			<xsl:for-each select="@*">
				<xsl:attribute name="{name()}">
					<xsl:value-of select="."/>
				</xsl:attribute>
			</xsl:for-each>

			<!--extract and copy GUIDiagrams element-->
			<xsl:copy-of select="GUIDiagrams"/>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>

